| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
uhd::rfnoc::lc_block_control Class Referenceabstract
RFNoC » RFNoC Blocks

`#include <uhd/rfnoc/lc_block_control.hpp>`

Inheritance diagram for uhd::rfnoc::lc_block_control:

## Public Member Functions
virtual bool | load_key (const std::string &key)=0
virtual std::vector< uint32_t > | get_feature_ids ()=0
Public Member Functions inherited from uhd::rfnoc::noc_block_base
| ~noc_block_base () override
std::string | get_unique_id () const override
| Unique ID for an RFNoC block is its block ID.
size_t | get_num_input_ports () const override
size_t | get_num_output_ports () const override
noc_id_t | get_noc_id () const
const block_id_t & | get_block_id () const
double | get_tick_rate () const
size_t | get_mtu (const res_source_info &edge)
size_t | get_chdr_hdr_len (const bool account_for_ts=true) const
size_t | get_max_payload_size (const res_source_info &edge, const bool account_for_ts=true)
uhd::device_addr_t | get_block_args () const
uhd::property_tree::sptr & | get_tree () const
| Return a reference to this block's subtree.
uhd::property_tree::sptr & | get_tree ()
| Return a reference to this block's subtree (non-const version)
std::shared_ptr< mb_controller > | get_mb_controller ()
Public Member Functions inherited from uhd::rfnoc::node_t
| node_t ()
virtual | ~node_t ()
std::vector< std::string > | get_property_ids () const
template<typename prop_data_t>
void | set_property (const std::string &id, const prop_data_t &val, const size_t instance=0)
void | set_properties (const uhd::device_addr_t &props, const size_t instance=0)
template<typename prop_data_t>
const prop_data_t & | get_property (const std::string &id, const size_t instance=0)
virtual void | set_command_time (uhd::time_spec_t time, const size_t instance)
virtual uhd::time_spec_t | get_command_time (const size_t instance) const
virtual void | clear_command_time (const size_t instance)
Public Member Functions inherited from uhd::rfnoc::register_iface_holder
| register_iface_holder (register_iface::sptr reg)
virtual | ~register_iface_holder ()=default
register_iface & | regs ()

## Static Public Attributes
static const uint32_t | REG_COMPAT_NUM
static const uint32_t | REG_FEATURE_ID
static const uint32_t | REG_USER_KEY
static const uint32_t | REG_FEATURE_ENABLE_RB
static const uint32_t | REG_FEATURE_LIST_RB
static const uint16_t | MAJOR_COMPAT
static const uint16_t | MINOR_COMPAT
Static Public Attributes inherited from uhd::rfnoc::node_t
static const size_t | ANY_PORT = size_t(~0)

## Additional Inherited Members
Public Types inherited from uhd::rfnoc::noc_block_base
using | sptr = std::shared_ptr<noc_block_base>
using | make_args_ptr = std::unique_ptr<make_args_t>
| Opaque pointer to the constructor arguments.
Public Types inherited from uhd::rfnoc::node_t
enum class | forwarding_policy_t { ONE_TO_ONE , ONE_TO_FAN , ONE_TO_ALL_IN , ONE_TO_ALL_OUT , ONE_TO_ALL , DROP , USE_MAP }
| Types of property/action forwarding for those not defined by the block itself. More...
using | resolver_fn_t = std::function<void(void)>
using | resolve_callback_t = std::function<void(void)>
using | graph_mutex_callback_t = std::function<std::recursive_mutex&(void)>
using | action_handler_t
using | forwarding_map_t
Protected Types inherited from uhd::rfnoc::node_t
using | prop_ptrs_t = std::vector<property_base_t*>
Protected Member Functions inherited from uhd::rfnoc::noc_block_base
| noc_block_base (make_args_ptr make_args)
void | set_num_input_ports (const size_t num_ports)
void | set_num_output_ports (const size_t num_ports)
void | set_tick_rate (const double tick_rate)
void | set_mtu_forwarding_policy (const forwarding_policy_t policy)
void | set_mtu (const res_source_info &edge, const size_t new_mtu)
property_base_t * | get_mtu_prop_ref (const res_source_info &edge)
virtual void | deinit ()
Protected Member Functions inherited from uhd::rfnoc::node_t
void | register_property (property_base_t *prop, resolve_callback_t &&clean_callback=nullptr)
void | add_property_resolver (prop_ptrs_t &&inputs, prop_ptrs_t &&outputs, resolver_fn_t &&resolver_fn)
void | set_prop_forwarding_policy (forwarding_policy_t policy, const std::string &prop_id="")
void | set_prop_forwarding_map (const forwarding_map_t &map)
template<typename prop_data_t>
void | set_property (const std::string &id, const prop_data_t &val, const res_source_info &src_info)
template<typename prop_data_t>
const prop_data_t & | get_property (const std::string &id, const res_source_info &src_info)
void | register_action_handler (const std::string &id, action_handler_t &&handler)
void | set_action_forwarding_policy (forwarding_policy_t policy, const std::string &action_key="")
void | set_action_forwarding_map (const forwarding_map_t &map)
void | post_action (const res_source_info &edge_info, action_info::sptr action)
virtual bool | check_topology (const std::vector< size_t > &connected_inputs, const std::vector< size_t > &connected_outputs)
Protected Member Functions inherited from uhd::rfnoc::register_iface_holder
void | update_reg_iface (register_iface::sptr new_iface=nullptr)
Static Protected Attributes inherited from uhd::rfnoc::node_t
static dirtifier_t | ALWAYS_DIRTY
| A dirtifyer object, useful for properties that always need updating.

## Detailed Description

License Checker Block Control Class

The License Checker Block is a block for RFNoC without any streaming ports. Its sole purpose is to read and evaluate license keys.

## Member Function Documentation

## ◆ get_feature_ids()

virtual std::vector< uint32_t > uhd::rfnoc::lc_block_control::get_feature_ids | ( |  | ) |
| pure virtual

Return a list of feature IDs this block is managing

## ◆ load_key()

virtual bool uhd::rfnoc::lc_block_control::load_key | ( | const std::string & | key | ) |
| pure virtual

Load a license key into the checker

Get the maximum number of window coefficients supported by this block.

Parameters

  key | The channel to retrieve the maximum number of coefficients from

Returns
  True if the key was successfully loaded. This does not mean that the key was valid, only that loading the key worked.

## Member Data Documentation

## ◆ MAJOR_COMPAT

const uint16_t uhd::rfnoc::lc_block_control::MAJOR_COMPAT
| static

## ◆ MINOR_COMPAT

const uint16_t uhd::rfnoc::lc_block_control::MINOR_COMPAT
| static

## ◆ REG_COMPAT_NUM

const uint32_t uhd::rfnoc::lc_block_control::REG_COMPAT_NUM
| static

## ◆ REG_FEATURE_ENABLE_RB

const uint32_t uhd::rfnoc::lc_block_control::REG_FEATURE_ENABLE_RB
| static

## ◆ REG_FEATURE_ID

const uint32_t uhd::rfnoc::lc_block_control::REG_FEATURE_ID
| static

## ◆ REG_FEATURE_LIST_RB

const uint32_t uhd::rfnoc::lc_block_control::REG_FEATURE_LIST_RB
| static

## ◆ REG_USER_KEY

const uint32_t uhd::rfnoc::lc_block_control::REG_USER_KEY
| static

The documentation for this class was generated from the following file:

- lc_block_control.hpp